%define majver %(echo %version | cut -d. -f1-2)

Name:          plasma-workspace
Version:       5.7.5
Release:       1mamba
Summary:       KDE Frameworks 5 Workspace
Group:         Graphical Desktop/Applications/Environment
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/plasma/%{version}/plasma-workspace-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: cln-devel
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrender-devel
BuildRequires: libattica5-devel
BuildRequires: libbaloo5-devel
BuildRequires: libgcc
BuildRequires: libgps-devel
BuildRequires: libkactivities5-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdeclarative-devel
BuildRequires: libkdelibs4support-devel
BuildRequires: libkdesu-devel
BuildRequires: libkfilemetadata-devel
BuildRequires: libkglobalaccel-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkidletime-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkjs-devel
BuildRequires: libkjsembed-devel
BuildRequires: libknewstuff-devel
BuildRequires: libknotifications-devel
BuildRequires: libknotifyconfig-devel
BuildRequires: libkpackage-devel
BuildRequires: libkparts-devel
BuildRequires: libkpty-devel
BuildRequires: libkrunner-devel
BuildRequires: libkscreen-devel
BuildRequires: libkscreenlocker-devel
BuildRequires: libkservice-devel
BuildRequires: libksysguard-devel
BuildRequires: libktexteditor-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkunitconversion-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwayland-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libkxmlrpcclient-devel
BuildRequires: libnetworkmanager-qt-devel
BuildRequires: libphonon-qt5-devel
BuildRequires: libplasma-framework-devel
BuildRequires: libqalculate-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-image-devel
BuildRequires: libxcb-util-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libkscreen-devel >= 5.6.1-1mamba
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRequires: libkwin-devel
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      ksysguard
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 Workspace.

%package common
Group:         Graphical Desktop/Applications/Environment
Summary:       KDE Frameworks 5 Workspace common files for KDE4 transition.
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description common
KDE Frameworks 5 Workspace common files for KDE4 transition.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/krunner.desktop
%{_sysconfdir}/xdg/autostart/org.kde.klipper.desktop
%{_sysconfdir}/xdg/autostart/plasmashell.desktop
%{_sysconfdir}/xdg/autostart/xembedsniproxy.desktop
%{_bindir}/kcheckrunning
%{_bindir}/kcminit
%{_bindir}/kcminit_startup
%{_bindir}/klipper
%{_bindir}/krunner
%{_bindir}/ksmserver
%{_bindir}/ksplashqml
%{_bindir}/startkde
%{_datadir}/dbus-1/interfaces/org.kde.KSMServerInterface.xml
%{_datadir}/dbus-1/interfaces/org.kde.krunner.App.xml
%{_datadir}/dbus-1/services/org.kde.krunner.service
%{_datadir}/dbus-1/interfaces/org.kde.KSplash.xml

%files common -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/*rc
%{_bindir}/kdostartupconfig5
%{_bindir}/kstartupconfig5
%{_bindir}/kuiserver5
%{_bindir}/plasmashell
%{_bindir}/plasmawindowed
%{_bindir}/startplasmacompositor
%{_bindir}/systemmonitor
%{_bindir}/xembedsniproxy
%{_datadir}/applications/org.kde.klipper.desktop
%{_datadir}/applications/plasma-windowed.desktop
%{_datadir}/config.kcfg/freespacenotifier.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.PlasmaShell.xml
%{_datadir}/dbus-1/services/kf5_org.kde.kuiserver.service
%{_datadir}/desktop-directories/kf5-*.directory
%lang(ca) %{_datadir}/doc/HTML/ca/*
%lang(cs) %{_datadir}/doc/HTML/cs/*
%lang(en) %{_datadir}/doc/HTML/en/*
%{_datadir}/drkonqi/debuggers/external/gdbrc
%{_datadir}/drkonqi/debuggers/external/kdbgrc
%{_datadir}/drkonqi/debuggers/internal/dbxrc
%{_datadir}/drkonqi/debuggers/internal/gdbrc
%{_datadir}/drkonqi/debuggers/internal/kdbgwinrc
%{_datadir}/drkonqi/mappings
%{_datadir}/kio_desktop/DesktopLinks/Home.desktop
%{_datadir}/kio_desktop/directory.desktop
%{_datadir}/kio_desktop/directory.trash
%{_datadir}/knotifications5/freespacenotifier.notifyrc
%{_datadir}/knotifications5/phonon.notifyrc
%{_datadir}/kservices5/*.desktop
%{_datadir}/kservices5/*.protocol
%{_kde5_servicetypesdir}/*.desktop
%{_datadir}/ksmserver/themes/contour/*
%{_datadir}/ksmserver/themes/default/*
%{_datadir}/ksplash/Themes/Classic/*
%{_datadir}/ksplash/Themes/Minimalistic/*
%{_datadir}/ksplash/Themes/None/Theme.rc
%{_datadir}/kstyle/themes/qt*.themerc
%dir %{_datadir}/plasma
%dir %{_datadir}/plasma/look-and-feel
%dir %{_datadir}/plasma/look-and-feel/org.kde.breeze.desktop
%{_datadir}/plasma/look-and-feel/org.kde.breeze.desktop/*
%dir %{_datadir}/plasma/plasmoids
%{_datadir}/plasma/plasmoids/*
%dir %{_datadir}/plasma/services
%{_datadir}/plasma/services/*
%dir %{_datadir}/plasma/shareprovider
%{_datadir}/plasma/shareprovider/*
%dir %{_datadir}/plasma/wallpapers
%{_datadir}/plasma/wallpapers/*
%dir %{_datadir}/sddm/themes/breeze
%{_datadir}/sddm/themes/breeze/*
%{_datadir}/solid/actions/test-predicate-openinwindow.desktop
%{_datadir}/wayland-sessions/plasmawayland.desktop
%{_datadir}/xsessions/plasma.desktop
%{_datadir}/kdevappwizard/templates/ion-dataengine.tar.bz2
%doc COPYING COPYING.DOC

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libkworkspace5.so.*
%{_libdir}/liblegacytaskmanager.so.*
#%{_libdir}/libplasma-geolocation-interface.so.*
%{_libdir}/libtaskmanager.so.*
%{_libdir}/libweather_ion.so.*
%{_libdir}/qt5/plugins/kcm_krunner_kill.so
%{_libdir}/qt5/plugins/kf5/kded/*.so
%{_libdir}/qt5/plugins/kf5/kio/desktop.so
%{_libdir}/qt5/plugins/kio_applications.so
%{_libdir}/qt5/plugins/kio_remote.so
%{_libdir}/qt5/plugins/kpackage/packagestructure/plasma_*.so
%{_libdir}/qt5/plugins/krunner_*.so
%{_libdir}/qt5/plugins/phonon_platform/kde.so
%{_libdir}/libplasma-geolocation-interface.so.*
%{_libdir}/qt5/plugins/plasma-geolocation-*.so
%{_libdir}/qt5/plugins/plasma/applets/*
%dir %{_libdir}/qt5/plugins/plasma/dataengine
%{_libdir}/qt5/plugins/plasma/dataengine/*.so
%{_libdir}/qt5/plugins/plasma/packagestructure/plasma_packagestructure_share.so
%{_libdir}/qt5/plugins/plasmacalendarplugins/*
#%{_libdir}/qt5/plugins/plasma_applet_notifications.so
%{_libdir}/qt5/plugins/plasma_containmentactions_*.so
%{_libdir}/qt5/qml/org/kde/plasma/*
%{_libdir}/qt5/qml/org/kde/holidayeventshelperplugin/*
%{_libdir}/qt5/qml/org/kde/taskmanager/*
#%dir %{_libdir}/qt5/qml/org/kde/private/systemtray
#%{_libdir}/qt5/qml/org/kde/private/systemtray/*
%{_libdir}/libkdeinit5_*.so
%{_libexecdir}/drkonqi
%{_libexecdir}/ksyncdbusenv
%{_libexecdir}/startplasma
#%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/legacytaskmanager
%{_includedir}/legacytaskmanager/*.h
#%{_includedir}/KDE/Plasma/Weather/Ion
%dir %{_includedir}/kworkspace5
%{_includedir}/kworkspace5/*.h
%dir %{_includedir}/plasma
%dir %{_includedir}/plasma/geolocation
%{_includedir}/plasma/geolocation/*
%{_libdir}/libplasma-geolocation-interface.so
%dir %{_includedir}/plasma/weather
%{_includedir}/plasma/weather/*
%dir %{_includedir}/taskmanager
%{_includedir}/taskmanager/*
%{_libdir}/libkworkspace5.so
%{_libdir}/liblegacytaskmanager.so
%{_libdir}/libtaskmanager.so
%{_libdir}/libweather_ion.so
%{_libdir}/cmake/KRunnerAppDBusInterface/KRunnerAppDBusInterfaceConfig.cmake
%{_libdir}/cmake/KSMServerDBusInterface/KSMServerDBusInterfaceConfig.cmake
%{_libdir}/cmake/LibKWorkspace/LibKWorkspace*.cmake
%{_libdir}/cmake/LibTaskManager/LibTaskManager*.cmake
%{_libdir}/cmake/LibLegacyTaskManager/LibLegacyTaskManager*.cmake

%changelog
* Thu Sep 22 2016 Automatic Build System <autodist@mambasoft.it> 5.7.5-1mamba
- automatic version update by autodist

* Tue Aug 30 2016 Automatic Build System <autodist@mambasoft.it> 5.7.4-1mamba
- automatic version update by autodist

* Tue Aug 02 2016 Automatic Build System <autodist@mambasoft.it> 5.7.3-1mamba
- automatic version update by autodist

* Fri Jul 22 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.7.2-2mamba
- moved non conflicting binaries to -common package

* Thu Jul 21 2016 Automatic Build System <autodist@mambasoft.it> 5.7.2-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 5.7.1-1mamba
- automatic version update by autodist

* Sat Jul 09 2016 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Sat Jul 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.4-2mamba
- don't own %{_libdir}/qt5/qml/org/kde/plasma or makedist fails

* Mon May 16 2016 Automatic Build System <autodist@mambasoft.it> 5.6.4-1mamba
- automatic version update by autodist

* Mon Apr 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.5-3mamba
- rebuilt by autoport with build requirements: libkscreen-devel>=5.6.1-1mamba--buildreqlibkscreen-devel>=5.6.1-1mamba--buildreqlibkscreen-devel>=5.6.1-1mamba

* Sat Mar 05 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.5-2mamba
- move xdg, bindir, other dbus files from -common to main package

* Tue Mar 01 2016 Automatic Build System <autodist@mambasoft.it> 5.5.5-1mamba
- automatic version update by autodist

* Sat Feb 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.4-2mamba
- added plasma-workspace-common for cohexistence with kde-workspace 4

* Wed Jan 27 2016 Automatic Build System <autodist@mambasoft.it> 5.5.4-1mamba
- automatic version update by autodist

* Thu Jan 07 2016 Automatic Build System <autodist@mambasoft.it> 5.5.3-1mamba
- automatic version update by autodist

* Sat Jan 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.2-1mamba
- package created using the webbuild interface
